{
  description = "System flake for Linode NixOS server";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-23.05";
  };

  outputs = inputs@{ nixpkgs, ... }:
    {
      nixosConfigurations.linode-nixos =
        nixpkgs.lib.nixosSystem {
          specialArgs = { inherit inputs; };
          modules = [
            ./server-config/configuration.nix

            # Applications that run on this server
            nixos-apps/crueltysquad.com.nix
            nixos-apps/cutesealfanpage.love.nix
            nixos-apps/ewanick.com.nix
            nixos-apps/fancytypist.com.nix
            nixos-apps/git.ewanick.com.nix
            nixos-apps/jitsi.crueltysquad.com.nix
          ];
        };
    };
}
